#include "light_entity.h"

TRTYFullArchiveLightEntity::TRTYFullArchiveLightEntity(IParsedEntity::TConstructParams& params)
    : TParsedDocument::TParsedEntity(params)
{
}

void TRTYFullArchiveLightEntity::SetData(TBlob&& data) {
    Data = std::move(data);
}

const TBlob& TRTYFullArchiveLightEntity::GetData() const {
    return Data;
}

///////////////////////////////////////////////////////////
// Do nothing, a fullarc TFALightLayer will save everything
void TRTYFullArchiveLightEntity::MergeToProto(NRTYServer::TParsedDoc& /*pd*/, const NRTYServer::TDocSerializeContext& /*context*/) const {
}

bool TRTYFullArchiveLightEntity::FillFromProto(const NRTYServer::TParsedDoc& pd, const NRTYServer::TDocParseContext& context) {
    return TParsedDocument::TParsedEntity::FillFromProto(pd, context);
}

void TRTYFullArchiveLightEntity::DoApplyPatch(const TParsedDocument& /*doc*/) {
}
